Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.client.common
Class AttachmentsLayout

    java.lang.Object
      |
      +--com.bea.wlpi.client.common.AttachmentsLayout

public class AttachmentsLayout
extends java.lang.Object
implements java.awt.LayoutManager2

A LayoutManager that uses attachments between components.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `Attachments`

Constructor Summary
`AttachmentsLayout()`

Method Summary
`void` | `addLayoutComponent(java.awt.Component comp, java.lang.Object constraints)`
`void` | `addLayoutComponent(java.lang.String name, java.awt.Component comp)`
`float` | `getLayoutAlignmentX(java.awt.Container target)`
`float` | `getLayoutAlignmentY(java.awt.Container target)`
`void` | `invalidateLayout(java.awt.Container target)`
`void` | `layoutContainer(java.awt.Container parent)`
`java.awt.Dimension` | `maximumLayoutSize(java.awt.Container parent)`
`java.awt.Dimension` | `minimumLayoutSize(java.awt.Container parent)`
`java.awt.Dimension` | `preferredLayoutSize(java.awt.Container parent)`
`void` | `removeLayoutComponent(java.awt.Component comp)`
`void` | `setBorder(int xBorder, int yBorder)` Deprecated. Set the border on the parent container instead.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttachmentsLayout

    public AttachmentsLayout()

Method Detail

### setBorder

    public void setBorder(int xBorder,
                          int yBorder)

  Deprecated. Set the border on the parent container instead.
  Set a border on the container.

  Parameters:
    `xBorder` - left and right border size.
    `yBorder` - top and bottom border size.

### addLayoutComponent

    public void addLayoutComponent(java.lang.String name,
                                   java.awt.Component comp)

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component comp)

### layoutContainer

    public void layoutContainer(java.awt.Container parent)

### maximumLayoutSize

    public java.awt.Dimension maximumLayoutSize(java.awt.Container parent)

  Specified by:
    maximumLayoutSize in interface java.awt.LayoutManager2

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

### addLayoutComponent

    public void addLayoutComponent(java.awt.Component comp,
                                   java.lang.Object constraints)

  Specified by:
    addLayoutComponent in interface java.awt.LayoutManager2

### getLayoutAlignmentX

    public float getLayoutAlignmentX(java.awt.Container target)

  Specified by:
    getLayoutAlignmentX in interface java.awt.LayoutManager2

### getLayoutAlignmentY

    public float getLayoutAlignmentY(java.awt.Container target)

  Specified by:
    getLayoutAlignmentY in interface java.awt.LayoutManager2

### invalidateLayout

    public void invalidateLayout(java.awt.Container target)

  Specified by:
    invalidateLayout in interface java.awt.LayoutManager2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)